net.ME1312.SubServers.Bungee.Library

## Class Util

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Library.Util

    public final class Util
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `copyFromJar(java.lang.ClassLoader loader, java.lang.String resource, java.lang.String destination)`
`static void` `deleteDirectory(java.io.File folder)`
`static boolean` `isException(java.lang.Runnable runnable)`
`static java.lang.String` `readAll(java.io.Reader rd)`
`static java.lang.String` `unescapeJavaString(java.lang.String str)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### readAll

    public static java.lang.String readAll(java.io.Reader rd)
                                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### copyFromJar

    public static void copyFromJar(java.lang.ClassLoader loader,
                                   java.lang.String resource,
                                   java.lang.String destination)

#### isException

    public static boolean isException(java.lang.Runnable runnable)

#### deleteDirectory

    public static void deleteDirectory(java.io.File folder)

#### unescapeJavaString

    public static java.lang.String unescapeJavaString(java.lang.String str)